/**
 * <copyright>
 * </copyright>
 *
 * $Id: WarehouseStepValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.management.warehouseprocess.validation;

import orgomg.cwm.analysis.transformation.TransformationStep;

import orgomg.cwm.management.warehouseprocess.WarehouseActivity;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseprocess.WarehouseStep}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface WarehouseStepValidator {
	boolean validate();

	boolean validateTransformationStep(TransformationStep value);
	boolean validateWarehouseActivity(WarehouseActivity value);
}
